#include "canvas/Canvas.hpp"

void Canvas::init(int size)
{
  backGround.init(size);
  tree.init(size);
}

void Canvas::newGen(RenderTexture2D &target)
{
  BeginTextureMode(target);
  ClearBackground(WHITE);

  newDna(dna);

  backGround.draw(&dna);
  tree.draw(&dna);

  EndTextureMode();
}

void Canvas::deinit()
{
  backGround.deinit();
}
